--- title: "Cloud DB for MSSQL" slug: "analytics-cloudloganalytics-getserverlist-vpc-mssql" updated: 2026-09-17T10:05:44Z published: 2026-09-17T10:05:44Z canonical: "api.ncloud-docs.com/analytics-cloudloganalytics-getserverlist-vpc-mssql" --- > ## Documentation Index > Fetch the complete documentation index at: https://api.ncloud-docs.com/llms.txt > Use this file to discover all available pages before exploring further. # Cloud DB for MSSQL Available in VPC Get the list of Cloud DB for MSSQL server instances (VMs) in the VPC environment. ## Request This section describes the request format. The method and URI are as follows: | Method | URI | | --- | --- | | GET | /api/{regionCode}-v1/vpc/servers/mssql | ### Request headers For information about the headers common to all Cloud Log Analytics APIs, see [Cloud Log Analytics request headers](/docs/en/analytics-cloudloganalytics#%EC%9A%94%EC%B2%AD%ED%97%A4%EB%8D%94). ### Request path parameters You can use the following path parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `regionCode` | String | Required | Region code - `kr` \| `sgn` \| `jpn` - `kr`: Korea Region - `sgn`: Singapore Region - `jpn`: Japan Region | ### Request query parameters You can use the following query parameters with your request: | Field | Type | Required | Description | | --- | --- | --- | --- | | `pageNo` | Integer | Optional | Page number - 1-100 (default: 1) | | `pageSize` | Integer | Optional | Number of items per page - 10-100 (default: 10) | ### Request example The request example is as follows: ``` curl --location --request GET 'https://cloudloganalytics.apigw.ntruss.com/api/{regionCode}-v1/vpc/servers/mssql' \ --header 'x-ncp-apigw-timestamp: {Timestamp}' \ --header 'x-ncp-iam-access-key: {Access Key}' \ --header 'x-ncp-apigw-signature-v2: {API Gateway Signature}' \ --header 'Content-Type: application/json' ``` ## Response This section describes the response format. ### Response body The response body includes the following data: | Field | Type | Required | Description | | --- | --- | --- | --- | | `code` | Integer | - | Response status codes | | `message` | String | - | Response status message | | `result` | Object | - | Response result | | `result.pageSize` | Integer | - | Number of items per page | | `result.currentPage` | Integer | - | Current page number | | `result.totalPage` | Integer | - | Total number of pages | | `result.totalCount` | Integer | - | Total item count | | `result.isPaged` | Boolean | - | Whether to page - `true` \| `false` - `true`: Paged - `false`: Not paged | | `result.dbServers` | Array | - | Server list - Server information | Note For more information about the fields related to server information (`dbServers`), see the [Cloud DB for MSSQL API guide](/docs/en/database-vmssql) and [Cloud DB for MSSQL user guide](https://guide.ncloud-docs.com/docs/en/clouddbformssql-overview). ### Response status codes For information about the HTTP status codes common to all Cloud Log Analytics APIs, see [Cloud Log Analytics response status codes](/docs/en/analytics-cloudloganalytics#%EC%9D%91%EB%8B%B5%EC%83%81%ED%83%9C%EC%BD%94%EB%93%9C). ### Response example The response example is as follows: ``` { "code": 0, "message": "The request has been successfully processed.", "result": { "pageSize": 10, "currentPage": 1, "totalPage": 1, "totalCount": 2, "isPaged": true, "dbServers": [ { "standbyMasterServerName": null, "dbServerName": "m-100514954-001", "databaseProductCode": null, "db_svr_rank": 0, "cloudDbServiceName": "test-mssql", "dataStorageTypeCode": null, "dataStorageSize": 100, "dataStorageSizeStr": "100GB", "dbInstanceNo": 0, "memorySize": "8GB", "dbStatusName": null, "clusterStatusName": null, "serverInstanceNo": 0, "dbServerIpAddress": null, "cpuCount": 2, "roleCode": null, "dbServerRoleCode": null, "dbServerType": "[Standard] 2vCPU, 8GB Mem", "usedDataStorageSize": 0, "uuid": "0-m-100514954-001", "dbStatusNameValue": "creating", "dbStatusNameColor": "yellow", "dbServerRoleValue": "Principal", "zoneNo": null, "zoneName": null }, { "standbyMasterServerName": null, "dbServerName": "m-100514954-002", "databaseProductCode": null, "db_svr_rank": 0, "cloudDbServiceName": "test-mssql", "dataStorageTypeCode": null, "dataStorageSize": 100, "dataStorageSizeStr": "100GB", "dbInstanceNo": 0, "memorySize": "8GB", "dbStatusName": null, "clusterStatusName": null, "serverInstanceNo": 0, "dbServerIpAddress": null, "cpuCount": 2, "roleCode": null, "dbServerRoleCode": null, "dbServerType": "[Standard] 2vCPU, 8GB Mem", "usedDataStorageSize": 0, "uuid": "*-*-*********-***", "dbStatusNameValue": "creating", "dbStatusNameColor": "yellow", "dbServerRoleValue": "Mirror", "zoneNo": null, "zoneName": null } ] } } ```